新闻存档
 
新闻资讯

Important Notice for MetaTrader 4 Build Update
二月 04, 2014

Please note there has been an important update to our servers. From 4th February 2014, MetaTrader 4 desktop client terminals older than build 509 will no longer be supported. This limitation does not apply to the mobile terminals.

In this regard, we strongly recommend you install the updates and encourage you to update your trading terminals to Build 600 as soon as possible.

Please do not hesitate to contact our client services team if you have any questions.

CLICK HERE TO UPGRADE YOUR BUILD

For assistance please speak to our Client Services team via Live Chat or email us at support@icmcapital.co.uk.